package com.ruoyi.syzy.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.mxjb.domain.MxjbContants;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资讯视频对象 b_www_news_video
 *
 * @author mingxue
 * @date 2022-07-17
 */
public class BWwwNewsVideo extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Integer aliIdType = MxjbContants.Ali_Id_voluntary_course;

    /** id */
    private Long id;

    /** 类别 */
    @Excel(name = "类别")
    private String type;
    private String subType;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 来源 */
//    @Excel(name = "来源")
    private String source;
    private String coverUrl;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendDate;

    /** aliId */
    @Excel(name = "aliId")
    private String aliId;

    /** 点击数 */
//    @Excel(name = "点击数")
    private Long clicked;

    /** 状态 */
//    @Excel(name = "状态")
    private Integer status;
    private String tag;

    public Integer getAliIdType() {
        return aliIdType;
    }

    public void setAliIdType(Integer aliIdType) {
        this.aliIdType = aliIdType;
    }

    public String getSubType() {
        return subType;
    }

    public void setSubType(String subType) {
        this.subType = subType;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }
    public void setSendDate(Date sendDate)
    {
        this.sendDate = sendDate;
    }

    public Date getSendDate()
    {
        return sendDate;
    }
    public void setAliId(String aliId)
    {
        this.aliId = aliId;
    }

    public String getAliId()
    {
        return aliId;
    }
    public void setClicked(Long clicked)
    {
        this.clicked = clicked;
    }

    public Long getClicked()
    {
        return clicked;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("title", getTitle())
            .append("source", getSource())
            .append("sendDate", getSendDate())
            .append("aliId", getAliId())
            .append("createTime", getCreateTime())
            .append("clicked", getClicked())
            .append("status", getStatus())
            .toString();
    }
}
